Loading...
Searching...
No Matches
dvbt2_pilotgenerator_cc.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015,2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT2_PILOTGENERATOR_CC_H
#define INCLUDED_DTV_DVBT2_PILOTGENERATOR_CC_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/dtv/dvbt2_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Adds pilots to T2 frames.
* \ingroup dtv
*
* Input: Frequency interleaved T2 frame. \n
* Output: T2 frame with pilots (in time domain).
*/
class DTV_API dvbt2_pilotgenerator_cc : virtual public gr::block
{
public:
typedef std::shared_ptr<dvbt2_pilotgenerator_cc> sptr;
/*!
* \brief Create a DVB-T2 pilot generator.
*
* \param carriermode number of carriers (normal or extended).
* \param fftsize OFDM IFFT size.
* \param pilotpattern DVB-T2 pilot pattern (PP1 - PP8).
* \param guardinterval OFDM ISI guard interval.
* \param numdatasyms number of OFDM symbols in a T2 frame.
* \param paprmode PAPR reduction mode.
* \param version DVB-T2 specification version.
* \param preamble P1 symbol preamble format.
* \param misogroup MISO transmitter ID.
* \param equalization sin(x)/x DAC equalization (on or off).
* \param bandwidth sin(x)/x equalization bandwidth.
* \param vlength output vector length.
*/
static sptr make(dvbt2_extended_carrier_t carriermode,
dvbt2_fftsize_t fftsize,
dvbt2_pilotpattern_t pilotpattern,
dvb_guardinterval_t guardinterval,
int numdatasyms,
dvbt2_papr_t paprmode,
dvbt2_version_t version,
dvbt2_preamble_t preamble,
dvbt2_misogroup_t misogroup,
dvbt2_equalization_t equalization,
dvbt2_bandwidth_t bandwidth,
unsigned int vlength);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT2_PILOTGENERATOR_CC_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvbt2_pilotgenerator_cc
Adds pilots to T2 frames.
Definition dvbt2_pilotgenerator_cc.h:28
gr::dtv::dvbt2_pilotgenerator_cc::sptr
std::shared_ptr< dvbt2_pilotgenerator_cc > sptr
Definition dvbt2_pilotgenerator_cc.h:30
gr::dtv::dvbt2_pilotgenerator_cc::make
static sptr make(dvbt2_extended_carrier_t carriermode, dvbt2_fftsize_t fftsize, dvbt2_pilotpattern_t pilotpattern, dvb_guardinterval_t guardinterval, int numdatasyms, dvbt2_papr_t paprmode, dvbt2_version_t version, dvbt2_preamble_t preamble, dvbt2_misogroup_t misogroup, dvbt2_equalization_t equalization, dvbt2_bandwidth_t bandwidth, unsigned int vlength)
Create a DVB-T2 pilot generator.
dvb_config.h
dvbt2_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv
Definition atsc_consts.h:17
gr::dtv::dvbt2_equalization_t
dvbt2_equalization_t
Definition dvbt2_config.h:111
gr::dtv::dvbt2_fftsize_t
dvbt2_fftsize_t
Definition dvbt2_config.h:43
gr::dtv::dvbt2_version_t
dvbt2_version_t
Definition dvbt2_config.h:80
gr::dtv::dvb_guardinterval_t
dvb_guardinterval_t
Definition dvb_config.h:102
gr::dtv::dvbt2_pilotpattern_t
dvbt2_pilotpattern_t
Definition dvbt2_config.h:69
gr::dtv::dvbt2_bandwidth_t
dvbt2_bandwidth_t
Definition dvbt2_config.h:116
gr::dtv::dvbt2_extended_carrier_t
dvbt2_extended_carrier_t
Definition dvbt2_config.h:30
gr::dtv::dvbt2_misogroup_t
dvbt2_misogroup_t
Definition dvbt2_config.h:96
gr::dtv::dvbt2_preamble_t
dvbt2_preamble_t
Definition dvbt2_config.h:35
gr::dtv::dvbt2_papr_t
dvbt2_papr_t
Definition dvbt2_config.h:55
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
gr::version
GR_RUNTIME_API const std::string version()
return version string defined by cmake (GrVersion.cmake)